import { InputFile, ParseMode } from 'telegraf/typings/telegram-types';
export declare type Body = string | TextBody | MediaBody;
export declare type MediaType = 'animation' | 'audio' | 'document' | 'photo' | 'video';
export declare const MEDIA_TYPES: readonly MediaType[];
interface TextPart {
    readonly text: string;
    readonly parse_mode?: ParseMode;
}
export interface TextBody extends TextPart {
    readonly disable_web_page_preview?: boolean;
}
export interface MediaBody extends Partial<TextPart> {
    readonly type: MediaType;
    readonly media: InputFile;
}
export declare function isTextBody(body: Body): body is string | TextBody;
export declare function isMediaBody(body: Body): body is MediaBody;
export declare function getBodyText(body: TextBody | string): string;
export {};
